<!DOCTYPE html>
<html layout:decorate="~{layouts/base}">

<th:block layout:fragment="css-extra">

    <style>
        @media (min-width: 991.98px) {
            .header.header-fixed {
                height: 90px;
                position: fixed;
                top: 0;
                right: 0;
                left: 0;
                z-index: 97;
            }
        }

        @media (max-width: 991.98px) {
            .header-mobile-fixed .wrapper {
                padding-top: 100px;
            }
        }
    </style>
</th:block>

<th:block layout:fragment="content">

    <!--begin::Card-->
    <div class="card card-custom">
        <!--begin::Card body-->
        <div class="card-body">
            <form class="form" id="kt_form" th:action="@{/}" th:object="${witchDto}" method="post"
                enctype="multipart/form-data">
                <input type="hidden" th:field="*{id}" />
                <input type="hidden" th:field="*{witchName}" />
                <input type="hidden" th:field="*{witchLocation}" />


                <div class="tab-content">
                    <!--begin::Tab-->
                    <div class="tab-pane show active px-7" id="kt_user_edit_tab_1" role="tabpanel">
                        <!--begin::Row-->
                        <div class="row">
                            <div class="col-xl my-2">
                                <!--begin::Row-->
                                <div class="row">
                                    <div class="col-9">
                                        <h6 class="text-dark font-weight-bold mb-10">Victim Information:</h6>
                                    </div>
                                </div>
                                <!--end::Row-->
                                <!--begin::Group-->
                                <div id="victims">
                                    <th:block th:each="witchVictimDtoItem, iterStat : *{witchVictimDto}">

                                        <input type="hidden" th:field="*{witchVictimDto[__${iterStat.index}__].id}" />

                                        <div class="form-group row">
                                            <div class="col-4">
                                                <input th:field="*{witchVictimDto[__${iterStat.index}__].name}"
                                                    class="form-control form-control-lg form-control-solid"
                                                    placeholder="Victim Name" required />
                                            </div>

                                            <div class="col-4">
                                                <input th:field="*{witchVictimDto[__${iterStat.index}__].ageOfDeath}"
                                                    class="form-control form-control-lg form-control-solid"
                                                    placeholder="Victim Age of Death" required />
                                            </div>

                                            <div class="col-4">
                                                <input th:field="*{witchVictimDto[__${iterStat.index}__].yearOfDeath}"
                                                    class="form-control form-control-lg form-control-solid"
                                                    placeholder="Victim Year of Death" required />
                                            </div>
                                        </div>

                                    </th:block>
                                </div>

                                <div class="row">

                                    <div class="col-6">
                                        <button type="button" id="add-victim"
                                            class="btn btn-warning btn-outline-warning col-lg-12">+
                                            Add another person
                                        </button>
                                    </div>
                                    <div class="col-6">
                                        <button type="submit" id="add-victim"
                                            class="btn btn-success btn-outline-success col-lg-12">+
                                            submit
                                        </button>
                                    </div>
                                </div>

                                <!--end::Group-->
                            </div>
                        </div>
                        <!--end::Row-->
                    </div>
                    <!--end::Tab-->
                </div>
            </form>
        </div>
        <!--begin::Card body-->
    </div>
    <!--end::Card-->

</th:block>

<th:block layout:fragment="js-extra">


    <script>

        var index = 0;

        jQuery(document).ready(function () {

            $(document).ready(function () {

                $('#add-victim').click(function () {

                    var nr = '<div class="form-group row">' +
                        '    <div class="col-4">' +
                        '    <input  name="witchVictimDto[' + index + '].name"  class="form-control form-control-lg form-control-solid" placeholder="Victim Name" required /> ' +
                        '    </div>' +
                        '    <div class="col-4">' +
                        '    <input  name="witchVictimDto[' + index + '].ageOfDeath"  class="form-control form-control-lg form-control-solid"  placeholder="Victim Age of Death" required  /> ' +
                        '    </div>' +
                        '    <div class="col-4">' +
                        '    <input  name="witchVictimDto[' + index + '].yearOfDeath"  class="form-control form-control-lg form-control-solid"  placeholder="Victim Year of Death" required /> ' +
                        '     </div>' +
                        ' </div>';

                    let newRow = jQuery(nr);
                    $('#victims').append(newRow)

                    index++;
                });
            });
        });

    </script>
</th:block>


</html>